module Concerns
  module ApiExceptionHandler
    extend ActiveSupport::Concern

    included do
      rescue_from ApiError do |exception|
        Rails.logger.info "[BaseApi Error] #{exception.status}"
        # headers['content-type'] = 'application/json'
        Rack::Response.new({status: exception.show_code, msg: exception.message}.to_json, 200, { 'Content-Type' => 'application/json' })
      end

      rescue_from Grape::Exceptions::ValidationErrors do |e|
        error! ({status: 103, msg: 'params invalid'})
      end
    end
  end
end
