module Concerns
  module RequestLogger
    extend ActiveSupport::Concern

    included do
      logger.formatter = GrapeLogging::Formatters::Default.new

      use GrapeLogging::Middleware::RequestLogger,
          logger: logger,
          instrumentation_key: 'grape_key',
          include: [
              GrapeLogging::Loggers::Response.new,
              GrapeLogging::Loggers::FilterParameters.new
          ]
    end
  end
end
