Rails.application.configure do

  # 开发环境下仍然需要了解详细的 Rails 日志
  config.lograge.keep_original_rails_log = true if Rails.env.development?
  #config.lograge.logger = ActiveSupport::Logger.new "#{Rails.root}/log/lograge_#{Rails.env}.log"

  config.lograge.enabled = true unless Rails.env.development?

  #配置感兴趣的参数输出, 剔除controller和action的信息
  config.lograge.custom_options = lambda do |event|
    params = event.payload[:params].reject do |k|
      %w(controller action).include? k
    end
    {
        ip: event.payload[:ip],
        time: event.time.to_s(:standard),
        params: params
    }
  end
  config.lograge.formatter = Lograge::Formatters::Logstash.new
end
