module GemsGenerator
  module Mysql
    module Generators
      class InitGenerator < ::Rails::Generators::Base
        source_root File.expand_path("../templates", __FILE__)
        
        class_option :db_name,     type: :string, default: 'your_db_name'
        class_option :db_user,     type: :string, default: 'root'
        class_option :db_password, type: :string, default: ''

        def insert_gems 
          gem 'mysql2', '>= 0.3.18', '< 0.5'
        end

        def create_database_yml_file
          @db_password = options['db_password']
          @db_user = options['db_user']
          @db_name = options['db_name']
          template "database.yml.erb", "config/database.yml"
        end

        def create_database_local_yml_file
          template "database.local.yml", "config/database.local.yml"
        end
      end
    end
  end
end
