module GemsGenerator
  module Rspec
    module Generators
      class InitGenerator < ::Rails::Generators::Base
        source_root File.expand_path("../templates", __FILE__)

        def insert_gems
          gem_group :test do
            gem 'simplecov', :require => false
            gem "rspec-rails"
            gem 'rails-controller-testing'
            gem "rspec-mocks"
            gem "factory_girl_rails"
            gem 'shoulda-matchers', '~> 3.1', '>= 3.1.1'
            gem 'webmock'
            gem 'database_cleaner', '~> 1.5', '>= 1.5.3'
          end
        end

        def create_rails_helper_rb
          template "rails_helper.rb", "spec/rails_helper.rb"
        end
        
        def create_spec_helper_rb
          template  "spec_helper.rb", "spec/spec_helper.rb"
        end

        def create_shoulda_matchers_rb
          template  "shoulda_matchers.rb", "spec/shoulda_matchers.rb"
        end

        def create_external_api_mock_rb
          template  "external_api_mock.rb", "spec/external_api_mock.rb"
        end

        def create_support_dir
          directory "support/", "spec/support/"
        end

        def create_factories_dir
          directory "factories/", "spec/factories/"
        end
      end
    end
  end
end
