module Helpers
  module JsonResponse
    extend ActiveSupport::Concern

    included do
      def json_response
        MultiJson.load(response.body, symbolize_keys: true)
      end

      def is_success_response
        expect(json_response[:status]).to eq(200)
      end

      def response_status
        json_response[:status] rescue nil
      end

      def response_msg
        json_response[:msg] rescue nil
      end

      def response_data
        json_response[:data] rescue nil
      end
    end
  end
end
